ZyanAllocator_(3)

NAME
ZyanAllocator_

SYNOPSIS

#include <Allocator.h>

  Public Attributes

ZyanAllocatorAllocate allocate
ZyanAllocatorAllocate reallocate
ZyanAllocatorDeallocate deallocate

Detailed Description

Defines the ZyanAllocator struct.

This is the base class for all custom allocator implementations.

All fields in this struct should be considered as "private". Any changes may lead to unexpected behavior.

Member Data Documentation

  ZyanAllocatorAllocate ZyanAllocator_::allocate
The allocate function.

  ZyanAllocatorDeallocate ZyanAllocator_::deallocate
The deallocate function.

  ZyanAllocatorAllocate ZyanAllocator_::reallocate
The reallocate function.

Author

Generated automatically by Doxygen for Zycore from the source code.